package de.intevation.gnv.artifactdatabase.objects;

import java.io.Serializable;

/**
 * An <code>ExportMode</code> describes a specific format of an output mode
 * (e.g. pdf, svg, image).
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public interface ExportMode
extends          Serializable
{
    /**
     * Returns the name of this export mode.
     *
     * @return the name.
     */
    public String getName();

    /**
     * Returns the description of this export mode.
     *
     * @return the description.
     */
    public String getDescription();

    /**
     * Returns the mimetype used for this export mode.
     *
     * @return the mimetype.
     */
    public String getMimeType();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
